import json

def lambda_handler(event, context):
    #Create an empty response
    response = {}

    ########## Start Lambda code here ##########


    ########## End Lambda code #################
    
    #Run the session attributes processor to update the response
    response.update(session_attributes_processor(event,response))
    
    return response

def session_attributes_processor(event,response):
    
    #Establish a new session parameters var
    new_session_parameters = {}
    
    #Write the current response values to the new var
    for k,v in response.items():
        new_session_parameters.update({k : v})
    
    #If any exist, write the passed parameters from Connect to the new var
    if event['Details']['Parameters']:
        for k,v in event['Details']['Parameters'].items():
            new_session_parameters.update({k : v}) 
        
    #If any exist, write the previous session attributes from Connect to the new Var
    if 'session_attributes' in event['Details']['Parameters']:
        new_session_parameters.pop('session_attributes')
        passed_session_attributes = json.loads(event['Details']['Parameters']['session_attributes'].replace('/',''))
        for k,v in passed_session_attributes.items():
            new_session_parameters.update({k : v}) 

    #Create a new session attributes key with everything we have
    new_session_parameters.update({'session_attributes': json.dumps(new_session_parameters)})

    #Return everything back
    return new_session_parameters